Add a service to a service profile
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`ServiceProfile.Service` + `Add`
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge></div>
</Info>
Add service to the collection of services associated to a profile.
Multiple services can be assigned, but each only once.
<Warning>
Adding the voice service with an id of `3` to a service profile will be successful, but this feature **isn't enabled** by the platform.
</Warning>
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
profile_id
The Numeric ID of a Service Profile
service_id
The numeric ID corresponding to one of the following services:
* `0` - USSD
* `3` - Voice
* `6` - SMS MT
* `32` - SMS MO
* `38` - Data
<Error>
USSD and Voice services aren't available.
</Error>
Allowed values:
Response
The server has successfully fulfilled the request and that there is no additional content to send in the response payload body
Errors
403
Forbidden Error
409
Conflict Error